<!DOCTYPE html>
<html>
    <head>
        <title>ODi Colormeter</title>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="icon" type="image/png" href="favicon.png">
        <link rel="stylesheet" type="text/css" href="style.css">
    </head>
    <body>
        <div class="topnav">
            <h1>ODi Photometer</h1>
            <!-- Use the base-button AND blank-button classes to create a nice green button -->
            <button class="base-button blank-button" onclick="sendBlankEvent()">Blank</button>
            <button class="base-button orange-button" onclick="downloadMeasurements()">Get Data</button>
            <a href="config"><button class="base-button">Configure</button></a>
        </div>
        <div class="content">
            <div class="card-grid">
                <!-- Raw values -->
                <div class="card">
                    <p class="card-title"> Full</p>
                    <p class="reading"><span id="full_lum"></span></p>
                </div>
                <div class="card">
                    <p class="card-title"> IR</p>
                    <p class="reading"><span id="ir_lum"></span></p>
                </div>
                <div class="card">
                    <p class="card-title"> VIS</p>
                    <p class="reading"><span id="vis_lum"></span></p>
                </div>
                <!-- Transmittance -->
                <div class="card">
                    <p class="card-title"> T(Full)</p>
                    <p class="reading"><span id="full_trans"></span></p>
                </div>
                <div class="card">
                    <p class="card-title"> T(IR)</p>
                    <p class="reading"><span id="ir_trans"></span></p>
                </div>
                <div class="card">
                    <p class="card-title"> T(VIS)</p>
                    <p class="reading"><span id="vis_trans"></span></p>
                </div>
                <!-- Absorbance -->
                <div class="card">
                    <p class="card-title"> A(Full)</p>
                    <p class="reading"><span id="full_abs"></span></p>
                </div>
                <div class="card">
                    <p class="card-title"> A(IR)</p>
                    <p class="reading"><span id="ir_abs"></span></p>
                </div>
                <div class="card">
                    <p class="card-title"> A(VIS)</p>
                    <p class="reading"><span id="vis_abs"></span></p>
                </div>
                <!-- Lux -->
                <div class="card">
                    <p class="card-title"> Lux</p>
                    <p class="reading"><span id="lux_lum"></span></p>
                </div>
            </div>
        </div>
        <script src="script.js"></script>
    </body>
</html>
